$schema: "http://json-schema.org/draft-06/schema#"

title: compute v1 CircuitBreakers export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  maxConnections:
    description: |-
      The maximum number of connections to the backend service. If not
      specified, there is no limit. Not supported when the backend service is
      referenced by a URL map that is bound to target gRPC proxy that has
      validateForProxyless field set to true.
    type: integer
  maxPendingRequests:
    description: |-
      The maximum number of pending requests allowed to the backend service. If
      not specified, there is no limit. Not supported when the backend service
      is referenced by a URL map that is bound to target gRPC proxy that has
      validateForProxyless field set to true.
    type: integer
  maxRequests:
    description: |-
      The maximum number of parallel requests that allowed to the backend
      service. If not specified, there is no limit.
    type: integer
  maxRequestsPerConnection:
    description: |-
      Maximum requests for a single connection to the backend service. This
      parameter is respected by both the HTTP/1.1 and HTTP/2 implementations. If
      not specified, there is no limit. Setting this parameter to 1 will
      effectively disable keep alive. Not supported when the backend service is
      referenced by a URL map that is bound to target gRPC proxy that has
      validateForProxyless field set to true.
    type: integer
  maxRetries:
    description: |-
      The maximum number of parallel retries allowed to the backend cluster. If
      not specified, the default is 1. Not supported when the backend service is
      referenced by a URL map that is bound to target gRPC proxy that has
      validateForProxyless field set to true.
    type: integer
